correl <- read_excel("memes_country_data.xlsx", sheet = "Graph_corr")
cor_mat <- cor(correl)
# Google Trends interest in coronavirus memes vs "coronavirus"
cor.test(correl$CRM, correl$C)
# Google Trends interest in coronavirus memes vs "coronavirus deaths"
cor.test(correl$CRM, correl$CD)
# Google Trends interest in coronavirus memes vs "death"
cor.test(correl$CRM, correl$D)
# Google Trends interest in coronavirus memes vs coronavirus SAR-CoV-2 new cases (CNC)
cor.test(correl$CRM, correl$CNC)
# Google Trends interest in coronavirus memes vs coronavirus SAR-CoV-2 new deaths (CND)
cor.test(correl$CRM, correl$CND)
# Google Trends interest in covid memes vs coronavirus SAR-CoV-2 new cases (CNC)
cor.test(correl$CVM, correl$CNC)
# Google Trends interest in covid memes vs coronavirus SAR-CoV-2 new deaths (CND)
cor.test(correl$CVM, correl$CND)
# Google Trends interest in coronavirus memes vs number of webpages with covid/covid19/coronavirus memes
cor.test(correl$CRM,correl$GS)
# Google Trends interest in covid memes vs number of webpages with covid/covid19/coronavirus memes
cor.test(correl$CVM, correl$GS)
# Google Trends interest in covid19 memes vs number of webpages with covid/covid19/coronavirus memes
cor.test(correl$C19, correl$GS)
# Number of webpages with covid/covid19/coronavirus memes vs Covid19 new cases
cor.test(correl$GS, correl$CNC)
# Number of webpages with covid/covid19/coronavirus memes vs Covid19 new deaths
cor.test(correl$GS, correl$CND)

cor.test(correl$CD, correl$CND)
plot(correl$C19, correl$CND)
rcorr(correl$CD, correl$CND)
?cor.test

cor_mat
dim(correl)
str(correl)
#network graph
qgraph::qgraph(cor_mat ,theme  ="TeamFortress", graph = "cor",
               posCol = "#98623c",
               negCol = "steelblue",
               vTrans = 250, minimum = "sig", 
               sampleSize = dim(correl)[1],
               edge.labels = TRUE, edge.label.cex = 1.5,
               edge.label.color = "steelblue")

## Correlation Heatmap

corrplot::corrplot(cor(cor_mat))

corrgram::corrgram(mtcars)
View(cor(mtcars))
ggcorrplot::ggcorrplot(cor(mtcars))
ggcorrplot::ggcorrplot(cor(cor_mat))
library("Hmisc")
# calculating correlations
cov_cor <- Hmisc::rcorr(cor_mat)
View(cov_cor)
# just for inspecting
data.frame(cov_cor$r) %>% head() %>% kable()
data.frame(cov_cor$P) %>% head() %>% kable()
data.frame(cov_cor$n) %>% head() %>% kable()

#formating data frames correctly - function

cors <- function(df) { 
  # turn all three matrices (r, n, and P into a data frame)
  M <- Hmisc::rcorr(as.matrix(df))
  # return the three data frames in a list return(Mdf)
  Mdf <- map(M, ~data.frame(.x))
}

cors(cor_mat) %>% first() %>% head() %>% kable()

cors(cor_mat) %>% 
  map(~rownames_to_column(.x, var="measure1")) %>%
  # look at the first element of the list (r)
  first() %>%
  head() %>%
  kable()

cors(cor_mat) %>%
  map(~rownames_to_column(.x, var="measure1")) %>%
  # format each data set (r,P,n) long
  map(~pivot_longer(.x, -measure1, "measure2")) %>%
  # look at the first element of the list (r)
  first() %>%
  head() %>%
  kable()


cors(cor_mat) %>%
  map(~rownames_to_column(.x, var="measure1")) %>%
  # format each data set (r,P,n) long 
  map(~pivot_longer(.x, -measure1, "measure2")) %>%
  # merge our three list elements by binding the rows
  bind_rows(.id = "id") %>%
  pivot_wider(names_from = id, values_from = value) %>%
  head() %>%
  kable()

cors(cor_mat) %>%
  map(~rownames_to_column(.x, var="measure1")) %>%
  # format each data set (r,P,n) long 
  map(~pivot_longer(.x, -measure1, "measure2")) %>%
  # merge our three list elements by binding the rows
  bind_rows(.id = "id") %>%
  pivot_wider(names_from = id, values_from = value) %>%
  mutate(sig_p = ifelse(P < .05, T, F), p_if_sig = ifelse(P <.05, P, NA), r_if_sig = ifelse(r <.05, r, NA)) %>% 
  head() %>%
  kable()

formatted_cors <- function(df){
  cors(df) %>%
    map(~rownames_to_column(.x, var="measure1")) %>%
    map(~pivot_longer(.x, -measure1, "measure2")) %>% 
    bind_rows(.id = "id") %>%
    pivot_wider(names_from = id, values_from = value) %>%
    mutate(sig_p = ifelse(P < .05, T, F), p_if_sig = ifelse(P <.05, P, NA), r_if_sig = ifelse(P <.05, r, NA)) 
}

formatted_cors(cor_mat) %>% head() %>% kable()

formatted_cors(cor_mat) %>%
  ggplot(aes(x = measure1, y = measure2, fill = r)) +
  geom_tile()

formatted_cors(cor_mat) %>%
  ggplot(aes(measure1, measure2, fill=r, label=round(r_if_sig,2))) +
  geom_tile() +
  labs(x = NULL, y = NULL, fill = "Pearson's\nCorrelation")+
  # map a red, white and blue color scale to correspond to -1:1 sequential gradient 
  scale_fill_gradient2(mid="#FBFEF9",low="steelblue",high="#98623c", limits=c(-1,1)) +
  theme_classic() +
  # remove excess space on x and y axes
  scale_x_discrete(expand=c(0,0)) +
  scale_y_discrete(expand=c(0,0)) +
  theme(text=element_text(family="Roboto"))

formatted_cors(cor_mat) %>% 
  ggplot(aes(measure1, measure2, fill=r, label=round(r_if_sig,2))) +
  geom_tile() +
  labs(x = NULL, y = NULL, fill = "Pearson's\nCorrelation") +
  scale_fill_gradient2(mid="#FBFEF9",low="steelblue",high="#98623c", limits=c(-1,1)) +
  geom_text() +
  theme_classic() +
  scale_x_discrete(expand=c(0,0)) +
  scale_y_discrete(expand=c(0,0)) 

cor_graph <- formatted_cors(cor_mat) %>% 
  ggplot(aes(measure1, measure2, fill=r, label=round(r_if_sig,2))) +
  geom_tile() +
  labs(x = NULL, y = NULL, fill = "Pearson's\nCorrelation") +
  scale_fill_gradient2(mid="#FBFEF9",low="steelblue",high="#98623c", limits=c(-1,1)) +
  geom_text() +
  theme_classic() +
  scale_x_discrete(expand=c(0,0)) +
  scale_y_discrete(expand=c(0,0)) 
ggsave(cor_graph, filename = "heatmap_1C.tiff", width = 14, height = 12, units = "cm", dpi = 600)





